name: linuxserver-librewolf
services:
  app:
    image: linuxserver/librewolf:147.0.3
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      LIBREWOLF_CLI: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: LIBREWOLF_CLI
          description:
            en_us: Specify one or multiple LibreWolf CLI flags, this string will be passed to the application in full. [OPTIONAL]
    ports:
      - target: 3000
        published: 3000
        protocol: tcp
      - target: 3001
        published: 3001
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/librewolf/config
        target: /config
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: LibreWolf is a custom and independent version of Firefox, with the primary goals of privacy, security and user freedom. LibreWolf also aims to remove all the telemetry, data collection and annoyances, as well as disabling anti-freedom features like DRM.
  tagline:
    en_us: A custom and independent version of Firefox, with the primary goals of privacy, security and user freedom. LibreWolf also aims to remove all the telemetry, data collection and annoyances, as well as disabling anti-freedom features like DRM.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/librewolf-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/librewolf-logo.png
  title:
    en_us: Librewolf
  category: LinuxServer.io
